<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CruiseAvail StructType
 * @subpackage Structs
 */
class CruiseAvail extends AbstractStructBase
{
    /**
     * The CruiseAvailRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseAvail
     */
    public $CruiseAvailRQ;
    /**
     * Constructor method for CruiseAvail
     * @uses CruiseAvail::setCruiseAvailRQ()
     * @param \StructType\JP_CruiseAvail $cruiseAvailRQ
     */
    public function __construct(\StructType\JP_CruiseAvail $cruiseAvailRQ = null)
    {
        $this
            ->setCruiseAvailRQ($cruiseAvailRQ);
    }
    /**
     * Get CruiseAvailRQ value
     * @return \StructType\JP_CruiseAvail|null
     */
    public function getCruiseAvailRQ()
    {
        return $this->CruiseAvailRQ;
    }
    /**
     * Set CruiseAvailRQ value
     * @param \StructType\JP_CruiseAvail $cruiseAvailRQ
     * @return \StructType\CruiseAvail
     */
    public function setCruiseAvailRQ(\StructType\JP_CruiseAvail $cruiseAvailRQ = null)
    {
        $this->CruiseAvailRQ = $cruiseAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CruiseAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
